- [HTTP request](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/a2a.projects.locations.dataAgents.v1/getCard.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/a2a.projects.locations.dataAgents.v1/getCard.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/a2a.projects.locations.dataAgents.v1/getCard.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/a2a.projects.locations.dataAgents.v1/getCard.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/data-agents/reference/rest/v1/a2a.projects.locations.dataAgents.v1/getCard.md.txt#body.aspect)

v1.getCard returns the agent card for the agent.

### HTTP request

`GET https://geminidataanalytics.googleapis.com/v1/a2a/{tenant=projects/*/locations/*/dataAgents/*}/v1/card`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `tenant` | `string` Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `AgentCard`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication.md.txt#authorization-gcp).